complexType "FloatingAmountProvisions"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 2 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | WACCapInterestProvision?, stepUpProvision?
</...>

Content Model Elements (2):

  stepUpProvision, WACCapInterestProvision

All Direct / Indirect Based Elements (1):

  floatingAmountProvisions

Known Usage Locations

- As direct type of elements (1):
  floatingAmountProvisions

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="FloatingAmountProvisions"> <xsd:sequence> <xsd:element minOccurs="0" name="WACCapInterestProvision" type="xsd:boolean"/> <xsd:element minOccurs="0" name="stepUpProvision" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
stepUpProvision

  Type: | xsd:boolean, predefined, simple content

  As specified by the ISDA Standard Terms Supplement for use with trades on mortgage-backed securities. The presence of the element with value set to 'true' signifies that the provision is applicable. If applicable, the applicable step-up terms are specified as part of that ISDA Standard Terms Supplement. From a usage standpoint, this provision is typically applicable in the case of RMBS and not applicable in case of CMBS trades.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="stepUpProvision" type="xsd:boolean"/>

WACCapInterestProvision

  Type: | xsd:boolean, predefined, simple content

  As specified by the ISDA Supplement for use with trades on mortgage-backed securities, "WAC Cap" means a weighted average coupon or weighted average rate cap provision (however defined in the Underlying Instruments) of the Underlying Instruments that limits, increases or decreases the interest rate or interest entitlement, as set out in the Underlying Instruments on the Effective Date without regard to any subsequent amendment The presence of the element with value set to 'true' signifies that the provision is applicable. From a usage standpoint, this provision is typically applicable in the case of CMBS and not applicable in case of RMBS trades.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="WACCapInterestProvision" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.